from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XAnimatedSprite(XSprite, Protocol):
    def startAnimation(self, nSpeed: float) -> None: ...
    def stopAnimation(self) -> None: ...
    def resetAnimation(self) -> None: ...
    def updateAnimation(self) -> None: ...
